Skip to main content
POST
/
api
/
v1
/
participants
Create a new participant
curl --request POST \
  --url https://uat.gateway.verify-group.io/api/v1/participants \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "organizationId": "<string>",
  "firstName": "<string>",
  "lastName": "<string>",
  "email": "<string>",
  "phone": "<string>",
  "role": {},
  "type": {},
  "businessName": "<string>",
  "registrationNumber": "<string>",
  "taxId": "<string>",
  "idNumber": "<string>",
  "idType": "<string>"
}
'
import requests

url = "https://uat.gateway.verify-group.io/api/v1/participants"

payload = {
"organizationId": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"phone": "<string>",
"role": {},
"type": {},
"businessName": "<string>",
"registrationNumber": "<string>",
"taxId": "<string>",
"idNumber": "<string>",
"idType": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
organizationId: '<string>',
firstName: '<string>',
lastName: '<string>',
email: '<string>',
phone: '<string>',
role: {},
type: {},
businessName: '<string>',
registrationNumber: '<string>',
taxId: '<string>',
idNumber: '<string>',
idType: '<string>'
})
};

fetch('https://uat.gateway.verify-group.io/api/v1/participants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


organizationId
string
required
Organization ID
firstName
string
required
First name
lastName
string
required
Last name
email
string
required
Email address
phone
string
Phone number
role
claimant | witness | agent | adjuster | examiner | other
required
Participant role
type
individual | business
required
Entity type: individual or business
businessName
string
Business name (required for business type)
registrationNumber
string
Business registration number (required for business type)
taxId
string
Tax ID / KRA PIN
idNumber
string
Identification number (National ID, Passport, etc.)
idType
string
Identification type